# PetscFPrintf

Prints to a file, only from the first processor in the communicator.

### Synopsis

    PetscErrorCode  PetscFPrintf(MPI_Comm comm,FILE* fd,const char format[],...)

Not Collective

### Input Parameters

| comm | - the communicator
| fd | - the file pointer
| format | - the usual printf() format string

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscPrintf(), PetscSynchronizedPrintf(), PetscViewerASCIIPrintf(),
PetscViewerASCIISynchronizedPrintf(), PetscSynchronizedFlush()

Level:intermediate
Location: src/sys/fileio/mprint.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex2.c.html
src/snes/examples/tutorials/ex29.c.html